docs

# BehaviourWithFSMStateHandler

fun interface BehaviourWithFSMStateHandler < I : O , O : State> : StatesHandler< I , O >
Content copied to clipboard

## Functions

handleState
Link copied to clipboard
open suspend override fun StatesMachine<in O >. handleState (state: I ): O ?
Content copied to clipboard
abstract suspend fun BehaviourContextWithFSM <in O >. handleState (state: I ): O ?
Content copied to clipboard

## Inheritors

BehaviourWithFSMStateHandlerHolder
Link copied to clipboard